Bug 9631 - Sessreg unnecessarily depends on libX11
Summary: Sessreg unnecessarily depends on libX11
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/other (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-01-12 15:53 UTC by Joshua Baergen
Modified: 2008-03-01 10:54 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Baergen 2007-01-12 15:53:58 UTC
Sessreg looks for x11.pc during configure, but a cursory examination of the
build doesn't indicate any need for libX11.  However, it does use bits from
xproto.  Maybe the author meant xproto instead of x11?
Comment 1 Daniel Stone 2007-02-27 01:35:40 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Gustavo Pichorim Boiko 2007-03-14 08:01:31 UTC
From what I see this is right. sessreg only needs xproto, not x11.
Comment 3 David Nusinow 2008-03-01 10:54:06 UTC
Fix pushed to git. Thanks for your report!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.